/* $Id: sofi_dfs.h,v 1.14 2013-03-12 08:04:54 llundin Exp $
 *
 * This file is part of the SOFI Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02111-1307  USA
 */

/*
 * $Author: llundin $
 * $Date: 2013-03-12 08:04:54 $
 * $Revision: 1.14 $
 * $Name: not supported by cvs2svn $
 */

#ifndef SOFI_DFS_H
#define SOFI_DFS_H

/*-----------------------------------------------------------------------------
   								Define
 -----------------------------------------------------------------------------*/

/* Column names */
#define SOFI_COL_WAVELENGTH                 "Wavelength"
#define SOFI_COL_EMISSION                   "Emission"

/* Define here the PRO.CATG keywords */
#define SOFI_IMG_DOMEFLAT_RES               "MASTER_IMG_FLAT"
#define SOFI_IMG_ZPOINT_TAB                 "ZPOINT_TAB"
#define SOFI_IMG_ZPOINT_CHECK               "ZPOINT_CHECK_IMG"
#define SOFI_IMG_DARK_AVG                   "MASTER_DARK"
#define SOFI_IMG_JITTER_COMB                "COADDED_IMG"
#define SOFI_IMG_JITTER_STARS               "STARS_TAB"
#define SOFI_IMG_JITTER_BG                  "SKY_TAB"
#define SOFI_IMG_ILLUM_RES                  "ILLUM_FRAME"
#define SOFI_IMG_ILLUM_TAB                  "ILLUM_FLUX"
#define SOFI_IMG_DETLIN_A                   "DETLIN_A"
#define SOFI_IMG_DETLIN_B                   "DETLIN_B"
#define SOFI_IMG_DETLIN_C                   "DETLIN_C"
#define SOFI_IMG_DETLIN_Q                   "DETLIN_Q"
#define SOFI_SPC_FLAT_RES                   "MASTER_SP_FLAT"
#define SOFI_SPC_ARC_RES                    "ARC_COEF"
#define SOFI_SPC_ARC_CORR                   "ARC_CORRECT"
#define SOFI_SPC_JITTER_COMB                "OBS_COMBINED"
#define SOFI_SPC_JITTER_EXTR                "OBS_EXTRACTED"
#define SOFI_UTIL_STDSTARS_RES              "STDSTARS_CATS"
#define SOFI_UTIL_GENLINES_OH_CAT           "CALPRO_OH_CATALOG"
#define SOFI_UTIL_GENLINES_XE_CAT           "CALPRO_XE_CATALOG"
#define SOFI_UTIL_GENLINES_NE_CAT           "CALPRO_NE_CATALOG"

/* Define here the DO.CATG keywords */
#define SOFI_CALPRO_OH_CAT                  "CALPRO_OH_CATALOG"
#define SOFI_CALPRO_XE_CAT                  "CALPRO_XE_CATALOG"
#define SOFI_CALPRO_NE_CAT                  "CALPRO_NE_CATALOG"
#define SOFI_CALIB_STDSTARS                 "STDSTARS_CATS"
#define SOFI_CALIB_FLAT                     "MASTER_IMG_FLAT"
#define SOFI_CALIB_DARK                     "MASTER_DARK"
#define SOFI_CALIB_SPFLAT                   "MASTER_SP_FLAT"
#define SOFI_CALIB_ARC                      "ARC_COEF"
#define SOFI_CALIB_DETLIN_A                 "DETLIN_A"
#define SOFI_CALIB_DETLIN_B                 "DETLIN_B"
#define SOFI_CALIB_DETLIN_C                 "DETLIN_C"

#define SOFI_IMG_ZPOINT_RAW                 "IM_ZPOINT"
#define SOFI_IMG_DOMEFLAT_RAW               "IM_FLAT"
#define SOFI_IMG_DARK_RAW                   "IM_DARK"
#define SOFI_IMG_JITTER_OBJ_RAW             "IM_JITTEROBJ"
#define SOFI_IMG_JITTER_SKY_RAW             "IM_JITTERSKY"
#define SOFI_IMG_ILLUM_RAW                  "IM_ILLUM"
#define SOFI_IMG_DETLIN_LAMP_RAW            "LINEAR_LAMP"
#define SOFI_IMG_DETLIN_DARK_RAW            "LINEAR_DARK"
#define SOFI_SPC_FLAT_RAW                   "SP_FLAT"
#define SOFI_SPC_ARC_RAW                    "SP_ARC"
#define SOFI_SPC_JITTER_NODOBJ_RAW          "SP_NODDINGOBJ"
#define SOFI_SPC_JITTER_NODSKY_RAW          "SP_NODDINGSKY"
#define SOFI_UTIL_STDSTARS_RAW              "STDSTAR_CAT"
#define SOFI_UTIL_GENLINES_RAW              "CATALOG"

/*-----------------------------------------------------------------------------
                                Functions prototypes
 -----------------------------------------------------------------------------*/

int sofi_dfs_set_groups(cpl_frameset *) ;

#endif
